﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Customer Domain
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://qa.devgcm-system.com/custom/XMLSchema/customer"
	xmlns:customer-v0="https://qa.devgcm-system.com/custom/XMLSchema/customer"
	xmlns:datatypes-v0="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
	xmlns:cbe-v0="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<!--
	-->
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/customer/characteristics"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CustomerDomain/Characteristics/CustomerCharacteristics-v0_1.xsd"/>
	<!--
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/customer/characteristics"
			schemaLocation="platform:/resource/NttComGCM2/xml/CustomerDomain/Characteristics/CustomerCharacteristics-v0_1.xsd"/>
	-->

	<!--
	 *
	 *==========================================================================
	 * ■PaymentMethodSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■paymentMethodSpecification (Element) to be substituted -->
	<xsd:element name="paymentMethodSpecification" type="customer-v0:PaymentMethodSpecification"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■PaymentMethodSpecification -->
	<xsd:complexType name="PaymentMethodSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PaymentMethodSpecKey -->
	<xsd:complexType name="PaymentMethodSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■paymentMethodSpecKey (Element) substitution element -->
	<xsd:element name="paymentMethodSpecKey" type="customer-v0:PaymentMethodSpecKey"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToPaymentMethodSpec (Element) substitution element -->
	<xsd:element name="referenceToPaymentMethodSpec" type="customer-v0:PaymentMethodSpecKey"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■PaymentMethod
	 *==========================================================================
	 *
	-->
	<!-- ■paymentMethod (Element) to be substituted -->
	<xsd:element name="paymentMethod" type="customer-v0:PaymentMethod"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■PaymentMethod -->
	<xsd:complexType name="PaymentMethod">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PaymentMethodKey -->
	<xsd:complexType name="PaymentMethodKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■paymentMethodKey (Element) substitution element -->
	<xsd:element name="paymentMethodKey" type="customer-v0:PaymentMethodKey"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■PMPartyRoleAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■pMPartyRoleAssocSpecification (Element) -->
	<xsd:element name="pMPartyRoleAssocSpecification" type="customer-v0:PMPartyRoleAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■PMPartyRoleAssocSpecification -->
	<xsd:complexType name="PMPartyRoleAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PMPartyRoleAssocSpecKey -->
	<xsd:complexType name="PMPartyRoleAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■pMPartyRoleAssocSpecKey (Element) substitution element -->
	<xsd:element name="pMPartyRoleAssocSpecKey" type="customer-v0:PMPartyRoleAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToPMPartyRoleAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToPMPartyRoleAssocSpec" type="customer-v0:PMPartyRoleAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■PMPartyRoleAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■pMPartyRoleAssociation (Element) -->
	<xsd:element name="pMPartyRoleAssociation" type="customer-v0:PMPartyRoleAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■PMPartyRoleAssociation -->
	<xsd:complexType name="PMPartyRoleAssociation">
		<xsd:annotation>
			<xsd:documentation>aEndKey : PaymentMethodKey、zEndKey : PartyRoleKey。</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PMPartyRoleAssocKey -->
	<xsd:complexType name="PMPartyRoleAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■pMPartyRoleAssocKey (Element) substitution element -->
	<xsd:element name="pMPartyRoleAssocKey" type="customer-v0:PMPartyRoleAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■PMProductAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■pMProductAssocSpecification (Element) -->
	<xsd:element name="pMProductAssocSpecification" type="customer-v0:PMProductAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■PMProductAssocSpecification -->
	<xsd:complexType name="PMProductAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PMProductAssocSpecKey -->
	<xsd:complexType name="PMProductAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■pMProductAssocSpecKey (Element) substitution element -->
	<xsd:element name="pMProductAssocSpecKey" type="customer-v0:PMProductAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToPMProductAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToPMProductAssocSpec" type="customer-v0:PMProductAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■PMProductAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■pMProductAssociation (Element) -->
	<xsd:element name="pMProductAssociation" type="customer-v0:PMProductAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■PMProductAssociation -->
	<xsd:complexType name="PMProductAssociation">
		<xsd:annotation>
			<xsd:documentation>aEndKey : PaymentMethodKey、zEndKey : ProductKey。</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PMProductAssocKey -->
	<xsd:complexType name="PMProductAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■pMProductAssocKey (Element) substitution element -->
	<xsd:element name="pMProductAssocKey" type="customer-v0:PMProductAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

</xsd:schema>
